{
    "doc": "This defines an HPO term and its modifiers (possibly multiple)\nIf HPO term presence is unknown we don't have a entry on the list",
    "fields": [
        {
            "doc": "Identifier of the HPO term",
            "name": "term",
            "type": "string"
        },
        {
            "doc": "This is whether the term is present in the participant (default is unknown) yes=term is present in participant,\n    no=term is not present",
            "name": "termPresence",
            "type": [
                "null",
                {
                    "doc": "This the define a yes/no/unknown case",
                    "name": "TernaryOption",
                    "symbols": [
                        "yes",
                        "no",
                        "unknown"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "hpoBuildNumber",
            "name": "hpoBuildNumber",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Modifier associated with the HPO term",
            "name": "modifiers",
            "type": [
                "null",
                {
                    "fields": [
                        {
                            "name": "laterality",
                            "type": [
                                "null",
                                {
                                    "name": "Laterality",
                                    "symbols": [
                                        "RIGHT",
                                        "UNILATERAL",
                                        "BILATERAL",
                                        "LEFT"
                                    ],
                                    "type": "enum"
                                }
                            ]
                        },
                        {
                            "name": "progression",
                            "type": [
                                "null",
                                {
                                    "name": "Progression",
                                    "symbols": [
                                        "PROGRESSIVE",
                                        "NONPROGRESSIVE"
                                    ],
                                    "type": "enum"
                                }
                            ]
                        },
                        {
                            "name": "severity",
                            "type": [
                                "null",
                                {
                                    "name": "Severity",
                                    "symbols": [
                                        "BORDERLINE",
                                        "MILD",
                                        "MODERATE",
                                        "SEVERE",
                                        "PROFOUND"
                                    ],
                                    "type": "enum"
                                }
                            ]
                        },
                        {
                            "name": "spatialPattern",
                            "type": [
                                "null",
                                {
                                    "name": "SpatialPattern",
                                    "symbols": [
                                        "DISTAL",
                                        "GENERALIZED",
                                        "LOCALIZED",
                                        "PROXIMAL"
                                    ],
                                    "type": "enum"
                                }
                            ]
                        }
                    ],
                    "name": "HpoTermModifiers",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "Age of onset in months",
            "name": "ageOfOnset",
            "type": [
                "null",
                {
                    "name": "AgeOfOnset",
                    "symbols": [
                        "EMBRYONAL_ONSET",
                        "FETAL_ONSET",
                        "NEONATAL_ONSET",
                        "INFANTILE_ONSET",
                        "CHILDHOOD_ONSET",
                        "JUVENILE_ONSET",
                        "YOUNG_ADULT_ONSET",
                        "LATE_ONSET",
                        "MIDDLE_AGE_ONSET"
                    ],
                    "type": "enum"
                }
            ]
        }
    ],
    "name": "HpoTerm",
    "namespace": "org.gel.models.participant.avro",
    "type": "record"
}